commit 9aae0c155ff86530e139b372284a492dafe7cd56
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Aug 27 00:17:01 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 10ed17f1549..1eca4df0f59 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,20 @@
+2020-08-26  Roger Sayle  <roger@nextmovesoftware.com>
+
+	PR middle-end/87256
+	* config/pa/pa.c (hppa_rtx_costs_shadd_p): New helper function
+	to check for coefficients supported by shNadd and shladd,l.
+	(hppa_rtx_costs):  Rewrite to avoid using estimates based upon
+	FACTOR and enable recursing deeper into RTL expressions.
+	* config/pa/pa.md (shd_internal): Fix define_expand to provide
+	gen_shd_internal.
+
+2020-08-26  Roger Sayle  <roger@nextmovesoftware.com>
+
+	* config/pa/pa.md (ashldi3): Additionally, on !TARGET_64BIT
+	generate a two instruction shd/zdep sequence when shifting
+	registers by suitable constants.
+	(shd_internal): New define_expand to provide gen_shd_internal.
+
 2020-08-25  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 1aa5e58d9a2..c7ea9e023ae 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200826
+20200827
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 6ec8b6bee25..80ed5e320ea 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,23 @@
+2020-08-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2020-08-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/71960
+	* include/experimental/string_view (basic_string_view):
+	Enable debug assertions.
+	* include/std/string_view (basic_string_view):
+	Likewise.
+
+2020-08-26  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2020-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/96766
+	* include/std/variant (_Variant_storage): Replace implicit
+	conversions from size_t to __index_type with explicit casts.
+
 2020-08-21  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

